﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xsl">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" omit-xml-declaration="yes" />	<!-- nastavenie tak aby odsadovalo elementy a dosadilo xml instruction  -->
									   
	<xsl:variable name="newline" select="'&#xa;'" />
    <xsl:variable name="comma" select="';'" />
								   
	<xsl:template match="/">
		<OBERON>
			<Header>
				<DocumentType>113</DocumentType>
				<DocumentTypeText>Export/import záznamov z evidencie Obchodní partneri</DocumentTypeText>
				<DocumentDateTime>11.11.2013 11:11:11</DocumentDateTime>
				<CompanyName>Neuvedená firma</CompanyName>
				<User>Admin</User>
				<OBERONVersion>Október/2013 Beta1</OBERONVersion>
				<OBERONVersionDB>200</OBERONVersionDB>
				<Description></Description>
			</Header>

			<Data>
				<BusinessPartners>
					<xsl:call-template name="write-line">
						<xsl:with-param name="text" select="."/>
					</xsl:call-template>					 								   
				</BusinessPartners>
			</Data>
		</OBERON>	          					 								   
	</xsl:template>

    <xsl:template name="write-line">
        <xsl:param name="text" select="." />
        <xsl:variable name="this-row" select="substring-before( concat( $text, $newline ), $newline )" />
        <xsl:variable name="remaining-rows" select="substring-after( $text, $newline )" />
        <xsl:if test="string-length($this-row) &gt; 1">			
			<Record>
				<Name>
					<xsl:call-template name="getTokenByIndex">
						<!-- Dôležitý je parameter index, číslo označuje poradie hodnoty (v riadku CSV dát), ktorá má byť načítaná do daného XML elementu. -->						
						<xsl:with-param name="index" select="0"/>
						<xsl:with-param name="line" select="$this-row"/>
					</xsl:call-template>
				</Name>
				<IdentificationNumber></IdentificationNumber>
				<IdentificationNumber_Tax></IdentificationNumber_Tax>
				<IdentificationNumber_VAT></IdentificationNumber_VAT>
				<BarCode></BarCode>
				<BusinessRegister_1></BusinessRegister_1>
				<BusinessRegister_2></BusinessRegister_2>
				<Contact></Contact>
				<EMail></EMail>
				<Phone_Number></Phone_Number>
				<Web_Page></Web_Page>
				<Address_Residence>
					<Street_Name_Full>
						<xsl:call-template name="getTokenByIndex">
							<xsl:with-param name="index" select="1"/>
							<xsl:with-param name="line" select="$this-row"/>
						</xsl:call-template>
					</Street_Name_Full>
					<Region></Region>
					<Postal_Code>
						<xsl:call-template name="getTokenByIndex">
							<xsl:with-param name="index" select="2"/>
							<xsl:with-param name="line" select="$this-row"/>
						</xsl:call-template></Postal_Code>
					<City>
						<xsl:call-template name="getTokenByIndex">
							<xsl:with-param name="index" select="3"/>
							<xsl:with-param name="line" select="$this-row"/>
						</xsl:call-template></City>
					<Country></Country>
					<Notice></Notice>
				</Address_Residence>
				<Accounting_Entity_String></Accounting_Entity_String>
				<CreditLimit_Value>0</CreditLimit_Value>
				<!--0 - maloobchod, 1 - veľkoobchod, 99 - neuvedené-->
				<CustomsOffice_Vendor_Type>99</CustomsOffice_Vendor_Type>
				<CustomsOffice_Number_SBL></CustomsOffice_Number_SBL>
				<Discount_Percent>0</Discount_Percent>
				<Invoice_Expiration_Term>7</Invoice_Expiration_Term>
				<Invoice_Variable_Symbol></Invoice_Variable_Symbol>
				<Partner_Language></Partner_Language>
				<Tax_Authority></Tax_Authority>
				<Sell_Price_Preferred>0</Sell_Price_Preferred>
				<Partner_Groups></Partner_Groups>
				<Notice></Notice>
				<Other_Records></Other_Records>	 
				<Bank_Accounts />
				<Contact_Persons />
				<Branches />
			</Record>
        </xsl:if>
        <xsl:if test="string-length( $remaining-rows ) &gt; 0">
            <xsl:call-template name="write-line">
                <xsl:with-param name="text" select="$remaining-rows" />
            </xsl:call-template>
        </xsl:if>
    </xsl:template>


	<xsl:template name="getTokenByIndex">
		<xsl:param name="index"/>
		<xsl:param name="line"/>
		<xsl:choose>
			<xsl:when test="$index > 0">
				<xsl:call-template name="getTokenByIndex">
					<xsl:with-param name="index" select="$index -1"/>
					<xsl:with-param name="line" select="substring-after($line, $comma)" />
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$index=0 and not(contains($line, $comma))">
				<xsl:value-of select="normalize-space($line)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="normalize-space(substring-before($line, $comma))" />				
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>

